Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## info.bioinfweb.treegraph.document.labelicons
Enum LabelIconType

    java.lang.Object
      java.lang.Enum<LabelIconType>
          info.bioinfweb.treegraph.document.labelicons.LabelIconType

All Implemented Interfaces:
  Serializable, Comparable<LabelIconType>

    public enum LabelIconType

extends Enum<LabelIconType>

Lists all types of label icons.

Author:
  Ben Stöver

Enum Constant Summary
`CIRCLE`
`CROSS`
`HEXAGON`
`OCTAGON`
`RECTANGLE`
`SQARE`
`STAR`

Method Summary
`static LabelIconType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static LabelIconType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### CIRCLE

    public static final LabelIconType CIRCLE

### SQARE

    public static final LabelIconType SQARE

### HEXAGON

    public static final LabelIconType HEXAGON

### OCTAGON

    public static final LabelIconType OCTAGON

### RECTANGLE

    public static final LabelIconType RECTANGLE

### CROSS

    public static final LabelIconType CROSS

### STAR

    public static final LabelIconType STAR

Method Detail

### values

    public static LabelIconType[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (LabelIconType c : LabelIconType.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static LabelIconType valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD